Subject: Re: [Cbe-oss-dev] [patch 3/3] cell: prevent alignment interrupt on local store

From: Arnd Bergmann <[email-masked]>
Date: Thu, 12 Apr 2007 20:55:04 +0200

On Thursday 12 April 2007, Arnd Bergmann wrote:
> On Thursday 12 April 2007, Olaf Hering wrote:
> > How much will this impact performance on a 970, 74xx or POWER6 if
> > everything gets compiled with '--mcpu=$cell', compared to what is used
> > today? One gets at least altivec that way.
> 
> Building with -mcpu=cell won't work on 970 or g4, because that enables
> a few extra instructions that were not present in the older cpus.
> 
> If you know you want to build with altivec (i.e. not run on power4 or
> older), then '-m32 -mcpu=7450 -mtune=cell' or '-m64 -mcpu=970 -mtune=cell'
> would be a reasonable thing to try.

Ok, ignore my comment, as benh pointed out even power5 doesn't have altivec.
I don't know how many versions of libc you are currently building, but it
probably makes sense to have at least one that uses altivec, and one for
in-order (e.g. cell) and out-of-order (e.g. power5) pipelines each.

	Arnd <><